* {
    margin: 0;
    padding: 0;
    border: 0;
}

html, body {
width:100%;
height:100%;
}

body {
    font-family: "Roboto", Arial, sans-serif;
    margin: 10px 10px;
    background-color: #689;
    font-size: 12px;
    min-width: 920px;
}

.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.menu_block {
    float:left;
    overflow: auto;
    border-right: 2px solid #79a;
    margin-right: 20px;
    height: 90px;
}

#menu_fx , #menu_mask {
    padding-right: 20px;
}

.menu_block label {
    margin-top: 5px;
    line-height: 16px;
}

#menu_fx button , #menu_mask button {
    margin-right: 3px;
    margin-top: 3px;
    height: 20px;
    line-height: 8px;
    float: left;
}
#menu_mask button {
 width:90px;
}

#menu_fx {}

#menubar {
    margin-bottom: 24px;
}

#menubar button {
    margin-right: 1px;
}

button {
    padding: 5px;
    border-radius: 3px;
    box-shadow: 1px 1px 3px #467;
    background-color: #bcd;
    cursor: pointer;
    font-size: 12px;
    font-weight: 700;
    text-shadow: 1px 1px 2px #fff;
    border-top:1px solid #def;
    border-left:1px solid #def;

}

button::-moz-focus-inner {
    border:0;
    padding:0;
}

button:hover {
    background-color: #cde;
}

.right_sep {
    margin-right: 13px!important;
}

.right {
    float: right!important;
}

#palette {
    padding: 3px;
    top: 105px;
    position: absolute;
    background-color: #000;
    overflow: auto;
    display: none;
    z-index: 200;
}

.palette_colorcell {
    width: 16px;
    height: 16px;
    float: left;
    margin: 0 0 1px 1px;
}

.palette_firstinrow,
.new_line {
    clear: both;
}

.usercolor {
    width: 40px;
    height: 35px;
    float: left;
    cursor: pointer;
    margin-right: 5px;
}

.control_block {
    margin-right: 20px;
    margin-bottom: 2px;
    float: left;
}

.control_label {
    width: 100%;
    font-size: 10px;
    height: 12px;
    text-align: center;
    background-color: #8ab;
}

.cnum {
    width: 100%;
    text-align: center;
    font-size: 12px;
    line-height: 25px;
    font-weight: 700;
    text-shadow: -1px 0 4px #666, 1px 0 4px #666, 0 1px 4px #666, 0 -1px 4px #666;
    color: #8ab;
}

.color_picked .cnum {
    color: #ade;
}


.color_picked .control_label {
    background-color: #ade;
}

.size_control {
    width: 68px;
}

.size_control button {
    width: 20px;
    height: 18px;
    float: left;
    line-height: 8px;
    font-size: 14px;
    font-weight: 700;
    text-align: center;
    margin-top: 2px;
}

.size_control .size {
    width: 28px;
    text-align: center;
    float: left;
    font-size: 12px;
    font-weight: 700;
    line-height: 20px;
}

.color_0 {}

.color_1 {}

.color_2 {}

.color_3 {}

.popup {
    position: absolute;
    background-color: #eff;
    top: 50px;
    left: 20%;
    width: 60%;
    min-width: 300px;
    border-radius: 10px;
    box-shadow: 1px 1px 8px #000;
    padding: 0 10px 10px 10px;
    font-size: 12px;
    line-height: 18px;
    display: none;
    z-index: 1000;
}

#mod_about, #mod_options{
    width: 300px;
    margin-left: 50%;
    left: -150px;
}

#mod_help {
    width: 500px;
    margin-left: 50%;
    left: -250px;
}

#mod_help table {
    width: 100%;
    border-collapse: collapse;
    border: 1px solid #aaa;
}

#mod_help td, #mod_help th {
    font-size: 12px;
    border: 1px solid #aaa;
    padding: 3px;
}

#mod_help th {
    text-align: left;
    color: #fff;
    background-color: #888;
}

.key_name {
    width:60px;
}

#mod_data {
    min-width:450px;
}

.popup hr {
    clear:both;
    width: 100%;
    height: 1px;
    background-color: #000;
    margin-bottom: 10px;
}

.popup_title {
    position: relative;
    font-weight: 700;
    margin-bottom: 0px;
    margin-top: 2px;
    font-size: 20px;
    line-height: 26px;
    cursor: move;
    z-index: 1050;
}

.logo {
    float: left;
    height: 40px;
    margin-right: 10px;
    margin-top: -2px;
}

.aslogo {
    float: right;
    margin-top: -7px;
}

.close_button {
    float:right;
    cursor: pointer;
}

div.close_button {
    position: absolute;
    right:10px;
    top:0px;
    z-index: 1100;
}

.close_x {
    width: 20px;
    height: 20px;
    font-weight: 700;
    background-color: #000;
    color: #fff;
    text-align: center;
}

#editor {
    position: absolute;
    top: 110px;
    z-index: 100;
}

#preview {
    position: absolute;
    background-color: #578;
    cursor: move;
    z-index: 999;
    border: 3px solid #356;
    box-shadow: 1px 1px 4px #000;
}

#preview.is-pointer-down {
    border-color: #9bc;
}

#preview.is-pointer-down {
    box-shadow: 4px 4px 20px #000;
}

.popup.is-pointer-down {
    box-shadow: 4px 4px 20px #000;
}


.preview_cell {
    float: left;
}

.first_cell {
    top:0;
    left:0;
}

.editor_cell {
    float: left;
    border-right: 1px dotted #333;
    border-bottom: 1px dotted #333;
    text-align: center;
    font-size: 8px;
    cursor: default;
}

.btn_win {
    margin-left: 8px;
    float: right;
}
.opt_block {
    float:left;
}

.opt_check {
    vertical-align: bottom;
    margin-bottom: 3px;
    margin-right: 5px;
}

.menu_block .opt_check{
    margin-bottom: 1px;
}

.opt_select, .export_select {
    vertical-align: bottom;
    margin-bottom: 1px;
    margin-left: 5px;
    border: 1px solid #aaa;
    height: 16px;
    font-size: 10px;
    float: right;
}

.opt_divider {
    margin-top: 10px;
}
.popup h3 {
    margin-bottom: 5px;
}
label {
    display: block;
    height: 16px;
    margin-bottom: 3px;
}

.opt_block label {
    width: 150px;
    margin-bottom: 5px;
}

.opt_textarea , .data_textarea {
    width: 100%;
    border: 1px solid #aaa;
    height: 120px;
    margin-bottom: 8px;
}

.data_textarea {
    white-space: pre;
}

#btn_data_load {
    margin-bottom: 10px;
}

.invisible{
    display: none;
}

.mask_1 {
    opacity: 1;
}

.mask_0 {
    opacity: 0.5;
}

.inline_opt label{
    float:left;
    width:80px;
}

#cursor {
    border-collapse: collapse;
    border: 1px dashed #ffd;
    display:none;
}

#bathub {
  position: absolute;
  top:8px;
  left:885px;  
  width: 24px;
  height: 24px;
  background-image: url(../img/bathubicon.png);
  background-size: cover;
  box-shadow: 2px 2px 2px #000;
  cursor: pointer;
  opacity: 0.7;
}